Bug 887304 - Bad rendering of page/frame border styles
Bad rendering of page/frame border styles
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-14 10:56 EST by Tim Waugh
Modified: 2015-06-29 07:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:42:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2012-12-14 10:56:38 EST
Description of problem:
It is next to impossible to choose a double-line border around a page or a frame.

Version-Release number of selected component (if applicable):
libreoffice-writer-3.6.3.2-8.fc18.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1.Start Libreoffice Writer
2.Format->Page...
3.Select the 'Borders' tab
4.In 'Style', select the first double-line style in the list (thick outside, thin inside). Leave Width as 0.05pt and Color as Black.  Select 'all four borders' in Line Arrangement.
5.Click OK.
5.File->Page Preview
6.Select 200% zoom

Actual results:
When the line arrangement is set, the preview shows only a single line.
When the dialog is closed, instead of the selected style, only a single black line is shown around the page border.
When the page preview is examined, there is still only a single black line.

This does not just affect the normal edit mode and Page Preview modes on-screen: it also affects print output.

Expected results:
Border style correctly previewed in Page Style dialog.
Border style correctly shown in edit mode.
Border style correctly shown in page preview.
Border style correctly rendered in print output.

Additional info:
Similar effects are also seen when adjusting frame borders.

It also fails in the same way on Fedora 17 for some styles, e.g. thick outside, thin inside.  libreoffice-writer-3.5.7.2-6.fc17.x86_64

It seems to work OK for that style in Fedora 16 (libreoffice-writer-3.4.6.2-1.fc16.x86_64).
Comment 1 Caolan McNamara 2012-12-14 11:40:39 EST
reassigning to border king
Comment 2 Fedora End Of Life 2013-12-21 04:54:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Tim Waugh 2014-01-02 10:14:08 EST
Still happens in Fedora 20.

libreoffice-writer-4.1.4.2-2.fc20.x86_64
Comment 4 Fedora End Of Life 2015-05-29 04:49:38 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 07:42:55 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.